#ifndef DATA_STRUCTURE_HH
#define DATA_STRUCTURE_HH

#include "TObject.h"

class SubStructureA : public TObject {
public:
  SubStructureA() : z(3) { }
  double z;

  ClassDef(SubStructureA, 1);
};

class SubStructureB : public TObject {
public:
  SubStructureB() : subA(NULL) { }
  SubStructureB(SubStructureA* subA) : subA(subA) { }
  SubStructureA* subA;

  ClassDef(SubStructureB, 1);
};



class DataStructure : public TObject{
public:
  DataStructure() : subB(&subA) { }

  SubStructureA subA;
  SubStructureB subB;
public:
  ClassDef(DataStructure,1);
};

#endif
